Subject: RE: [Fwd: draft-ietf-pwe3-control-protocol-02.txt]

From: "David Allan" <[email-masked]>
Date: Thu, 20 Mar 2003 16:55:27 -0500

I'll reiterate a general observation made at the PWE3 meeting mike.

The draft currently uses label withdraw as a fault notification mechanism.
It would be useful if the text stated that this was a MUST only in the
absence of other fault notification mechanisms. 

Data plane notification would be particularly useful for physical circuits,
PVCs etc. things that do not go away on failure. IMHO withdrawing a label
may introduce a lot of overhead for somthing that may need to be promptly
put back (circuit flapping). Data plane notification that simply leaves the
label in place could be a whole lot simpler. esp. if associated stats need
to be journalled when labels are withdrawn.

cheers
Dave